1. Lnks
Lnk.Bio
  • Getting Started
    • Introduction
    • Endpoints
    • Authorization
    • Private Apps
      • Introduction
      • Create a Private App
      • Generate an Access Token
    • Public Apps
      • Introduction
      • Create a Public App
      • Generate an Access Token
  • API Methods
    • Me
      • Retrieve basic profile info
      • Update profile picture
    • Lnks
      • Retrieve list of current Lnks
        GET
      • Create a new Lnk
        POST
      • Delete an existing Lnk
        POST
      • Edit an existing Lnk
        POST
      • Bulk reorder Lnks
        POST
    • Groups
      • Retrieve list of Lnk Groups
    • Style
      • Get current style
      • Set profile colors
      • Set profile fonts
      • Set profile wallpapers
      • Apply a free theme
      • Reset theme to defaults
      • List available fonts
      • List available free themes
    • Pages
      • List all pages
      • Create a new page
      • Edit an existing page
      • Reorder pages
      • Delete a page
    • Blocks
      • Icons
        • Add an icon to a BLOCK_ICONS block
        • Edit an icon in a BLOCK_ICONS block
        • Search available icons
        • Delete an icon from a BLOCK_ICONS block
        • Sort icons within a BLOCK_ICONS block
        • List icons in an Icons block
      • Forms
        • List available forms
      • List blocks in a page
      • List supported block types
      • Add a block to a page
      • Delete a block from a page
      • Reorder blocks in a page
  • Schemas
    • Lnk
    • SuccessResponse
    • PageSummary
    • StyleData
    • BlockSummary
    • Font
    • FormSummary
    • ThemeSummary
    • BlockType
    • IconSummary
  1. Lnks

Retrieve list of current Lnks

GET
https://lnk.bio/oauth/v1/lnk/list
Returns an array of Lnks in the authenticated user's account.

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://lnk.bio/manage/access
Token URL: https://lnk.bio/oauth/token
or

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://lnk.bio/oauth/v1/lnk/list'

Responses

🟢200Success
application/json
Successful response
Body

Example
{
    "status": true,
    "errors": [
        "string"
    ],
    "data": [
        {
            "link_id": 1234,
            "created_at": "2024-02-12T15:17:44+08:00",
            "title": "My Blog Post",
            "image": "https://cdn2.lnk.bi/profilepics/3159524853_20231206705.png",
            "link": "https://myblog.com/post_id",
            "position": 1,
            "meta": {
                "id": 1234,
                "timestamp": 1707722264
            }
        }
    ]
}
🟠401Not Authenticated
Modified at 2026-04-11 09:05:44
Previous
Update profile picture
Next
Create a new Lnk
Built with